#!/bin/bash
# SbArm first login config script
# --------------------------------
# need to turn off execute before running...every command that starts bash
# in this script will cause this script to run. what a mess!
chmod 644 ${0};

clear
hr="---------------------------------------"
echo ""
echo "First login configuration!"
echo $hr
sleep 1
# if hostname not set dhcpcd will use name from server...convenient with vm random ip 
checknet() {
  NET=$(ip route show | awk '/default/ {print $1}' 2> /dev/null)
  [[ $NET ]] || {
    echo "No network connection detected"
    exit
  }
  [[ $NET ]] && {
    ping linuxoutpost.com -c 5 || {
     echo "No route to internet! Exiting..."
     exit
    }
  }
}

[[ -x /etc/rc.d/rc.wicd ]] && {
  /etc/rc.d/rc.wicd stop
  sleep 1
}

sleep 1
set-network
sleep 1
clean_resolv
checknet
sbinit -i # install sbinit stanza to end of rc.M
rcs="pkgd backlight"
for r in ${rcs}; do
  [[ -f /etc/rc.d/rc.${r} ]] && sbinit -a rc.${r}
done

sbinit restart
sleep 1
clean_resolv
echo "updating pkg database..."
pkg-u

# slack
timeconfig
setime -d YEAR

[[ ! -x /etc/rc.d/rc.wicd ]] && {
  chmod 755 /etc/rc.d/rc.wicd
}

# need a keyboard config here

echo $hr
echo "The system needs to be rebooted."
echo -n "Reboot now? Y/n: "
read answer
[[ ! $answer ]] && answer=Y
case $answer in
  Y|y|yes) rboot=y ;;
  *) echo "Somethings may not work right until a reboot has occured" ;;
esac
chmod 644 /var/local/firstlogin.sh
[[ ! -z $rboot ]] && {
  reboot
  exit
}

