/dts-v1/;

/ {
    description = "Chrome OS kernel image with one or more FDT blobs";
    #address-cells = <1>;
    images {
        kernel@1 {
            description = "kernel";
            data = /incbin/("zImage-ARCH");
            type = "kernel_noload";
            arch = "arm";
            os = "linux";
            compression = "none";
            load = <LOAD_ENTRY>;
            entry = <LOAD_ENTRY>;
        };
        fdt@1 {
            description = "exynos5250-snow.dtb";
            data = /incbin/("arch/arm/boot/dts/exynos5250-snow.dts");
            type = "flat_dt";
            arch = "arm";
            compression = "none";
            hash@1 {
                algo = "sha1";
            };
        };
        ramdisk@1 {
          description = "sbarm initrd";
          data = /incbin/("initrd.gz");
          type = "ramdisk";
          arch = "arm";
          os = "linux";
          compression = "gzip";
          load = <00000000>;
          entry = <00000000>;
          has@1 {
            algo = "sha1";
          };
        };
    };
    configurations {
        default = "conf@1";
        conf@1 {
            kernel = "kernel@1";
            ramdisk = "ramdisk@1";
            fdt = "fdt@1";
        };
    };
};
