#!/bin/bash
# Default acpi script that takes an entry for all actions

IFS=${IFS}/
set $@

case "$1" in
  button)
    case "$2" in
      power) /etc/acpi/sb-events/power ;;
      volumeup) snd-dimmer u ;;
      volumedown) snd-dimmer d ;;
      mute) snd-dimmer m ;;
      sleep) xset dpms force standby ;;
      
      *) logger "ACPI action $2 is not defined";;
    esac
  ;;
  cd)
    case "$2" in
      play) /etc/acpi/sb-events/cd;;
      
    esac
    ;;
  *) logger "ACPI group $1 / action $2 is not defined";;
esac
