#!/bin/bash
# SlackM first login config script
# --------------------------------

hr="---------------------------------------"
echo ""
echo "First login configuration!"
echo $hr
# if not set dhcpcd will use name from server...convenient with vm random ip 
# setup-hostname 
# setup-interfaces # no thanks
# cannot trust alpine wireless networking...it fails on reboot and hangs
# so taking controle
set-network
sleep 1
pkg-u
[[ -f /etc/rc.d/rc.set-network ]] && {
  sbinit -a rc.set-network
}
[[ -f /etc/rc.d/rc.wicd ]] && {
  sbinit -a rc.wicd
}
[[ -f /etc/rc.d/rc.pkgd ]] && {
  sbinit -a rc.pkgd
}
sleep 1
openrc
setup-keymap
setup-timezone
openrc

echo $hr
echo "The system needs to be rebooted."
echo -n "Reboot now? Y/n: "
read answer
[[ ! $answer ]] && answer=Y
case $answer in
  Y|y|yes) rboot=y ;;
  *) echo "Somethings may not work right until a reboot has occured" ;;
esac
chmod 644 /var/local/firstlogin.sh;
[[ ! -z $rboot ]] && {
  reboot
  exit
}

